## android-platform-system-core 6.0.1+r16

=== debian/changelog ===
android-platform-system-core (1:6.0.1+r16-3) unstable; urgency=medium

  * Fix package name typo: android-{zipfile=>libzipfile}(-dev)
  * Sponsored upload (Closes: #817863)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 06 Mar 2016 15:02:52 +0800

android-platform-system-core (1:6.0.1+r16-2) unstable; urgency=medium

  * android-platform-system-core-header Provides android-system-dev
  * android-libzipfile(-dev) returns as transisional dummy packages
  * adb and fastboot do not depend on android-sdk-platform-tools-common for now

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 03 Mar 2016 17:15:35 +0800

android-platform-system-core (1:6.0.1+r16-1) unstable; urgency=medium

  * New upstream release (Closes: #806375)
  * Only execute build commands on amd64 & i386
  * d/control: adb & fastboot Provides their android-tools-* counterparts
  * Pull bash-completion for adb & fastboot from src:android-tools/5.1.1.r29-2
  * Add manpages for adb & fastboot

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 16 Feb 2016 14:54:25 +0800

android-platform-system-core (1:6.0.0+r26-1) unstable; urgency=medium

  * Built without any build-profiles
    - Restore <!stage1> sections in d/control
    - Remove DEB_BUILD_PROFILES in d/rules
  * New fastboot_typo.diff: Fix typo

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 08 Feb 2016 16:16:59 +0800

android-platform-system-core (1:6.0.0+r26-1~stage1.2) unstable; urgency=medium

  * upload to unstable

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 07 Feb 2016 22:55:25 +0100

android-platform-system-core (1:6.0.0+r26-1~stage1.1) experimental; urgency=medium

  * d/control:
    - Use HTTPS for Vcs-Browser
    - Restrict AOSP packages to above 6.0.0
    - Breaks & Replaces: android-system-dev, android-liblog-dev (<< 1:6)
      (Closes: #813085, #813183)
    - Update Standards-Version to 3.9.7 (No change)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 29 Jan 2016 00:15:35 +0800

android-platform-system-core (1:6.0.0+r26-1~stage1) experimental; urgency=low

  * New upstream release
  * stage1 upload
    - Remove <!stage1> sections in d/control
    - export DEB_BUILD_PROFILES = stage1 in d/rules
  * Use traditional import-orig way to fetch source
  * Change version scheme to follow upstream
  * Makefiles independent from Quilt
  * Add support for Build-Profiles
  * New binary packages:
      - adb
      - android-libadb(-dev)
      - android-libbacktrace(-dev)
      - android-libbase(-dev)
      - android-libsparse(-dev)
      - android-libutils(-dev)
      - android-libziparchive(-dev)
      - android-platform-system-core-headers
      - fastboot
  * Remove android-libzipfile(-dev): Removed from upstream
  * New patches:
    - disable_android_set_abort_message.diff
    - add_missing_headers.diff: Various headers are missing which causes
      compiler errors
    - use_separated_cutils_atomic.diff: cutils/atomic.h uses stdatomic.h which
      is not supported by C++11
    - libutils_use_unique_ptr: Use std::unique_ptr instead of Bionic's one
  * d/control:
    - Add (Build-)Depends:
      - android-libunwind(-dev)
      - libsafe-iop-dev
      - android-platform-build-headers
    - Add myself to Uploaders
    - Change architecture to i386 & amd64
    - Fix Vcs-Git typo
    - Update android-liblog(-dev) package description

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 17 Nov 2015 14:39:17 +0800

android-platform-system-core (21-6) unstable; urgency=low

  [Simon McVittie]
  * fix missing android_atomic_* symbols on i386 (Closes: #769646)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 28 Nov 2014 13:00:09 +0100

android-platform-system-core (21-5) unstable; urgency=low

  [Simon McVittie]
  * For each library where libwhatever.so moved from android-libwhatever
    to android-libwhatever-dev, the -dev Breaks/Replaces the runtime library
    (Closes: #770328)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Nov 2014 12:43:50 +0100

android-platform-system-core (21-4) unstable; urgency=low

  * add versions to shared library names so dh can do auto dep detection
  * dh_shlibdeps misses libcutils dep on liblog, so force manually

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 18 Nov 2014 13:05:59 +0100

android-platform-system-core (21-3) unstable; urgency=low

  * fix build to work on linux-any

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 22 Oct 2014 16:00:29 -0400

android-platform-system-core (21-2) unstable; urgency=low

  * make android-system-dev available on all archs

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 22 Oct 2014 11:27:14 -0400

android-platform-system-core (21-1) unstable; urgency=low

  * Initial release. (Closes: #747926)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 15 Jul 2014 17:09:00 -0400
