=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))

# ORDER IS IMPORTANT!
STAGE1_COMPONENTS = liblog \
                    libcutils \
                    libbase \
                    libbacktrace \
                    libutils \
                    libziparchive \
                    libsparse \
                    libadb \
                    adb
OTHER_COMPONENTS = fastboot
COMPONENTS = $(STAGE1_COMPONENTS)
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
  COMPONENTS += $(OTHER_COMPONENTS)
endif
ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
  BUILD_COMMANDS = $(foreach makefile, $(COMPONENTS), make -f debian/$(makefile).mk;)
  BUILD_COMMANDS += pandoc -s -o debian/adb.1 debian/adb.1.md;
  BUILD_COMMANDS += pandoc -s -o debian/fastboot.1 debian/fastboot.1.md
  CLEAN_COMMANDS = $(foreach makefile, $(COMPONENTS), make clean -f debian/$(makefile).mk;)
  CLEAN_COMMANDS += $(RM) debian/*.1
endif

%:
	dh $@

override_dh_auto_build:
	$(BUILD_COMMANDS)

override_dh_auto_clean:
	dh_auto_clean
	$(CLEAN_COMMANDS)

get-orig-source: $(UPSTREAM_TAG).tar.gz
	mk-origtargz --repack --compression xz $<

$(UPSTREAM_TAG).tar.gz:
	wget https://android.googlesource.com/platform/system/core/+archive/$(UPSTREAM_TAG).tar.gz
