## android-platform-system-core 6.0.1+r55

=== debian/changelog ===
android-platform-system-core (1:6.0.1+r55-1) unstable; urgency=medium

  * New upstream release.
  * debian: Add watch file for usage with uscan
  * debian/watch: recompress using xz
  * Define NDEBUG for c/cpp files. (Closes: #827216)

 -- Chirayu Desai <chirayudesai1@gmail.com>  Fri, 22 Jul 2016 00:37:25 +0530

android-platform-system-core (1:6.0.1+r43-1) unstable; urgency=medium

  * New upstream release
  * Install libraries to DEB_HOST_MULTIARCH path (Closes: #826655, #826991)
  * d/control:
    - Standards-Version => 3.9.8 (no changes)
    - Drop transitional packages for libzipfile
    - Depends on the following to ensure linking libraries in multiarch path:
      - android-libext4-utils-dev (>= 6.0.1+r16-2)
      - android-libf2fs-utils-dev (>= 6.0.1+r16-2)
      - android-libunwind-dev (>= 6.0.1+r16-3)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 14 Jun 2016 00:11:38 +0800
