=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: optional
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Kai-Chung Yan <seamlikok@gmail.com>
-Build-Depends: android-libext4-utils-dev (>= 6.0.1+r16~) [amd64 i386] <!stage1>,
-               android-libf2fs-utils-dev (>= 6.0.1+r16~) [amd64 i386]  <!stage1>,
-               android-libunwind-dev (>= 6.0.1+r16~) [amd64 i386] <!stage1>,
-               android-platform-build-headers (>= 1:6.0.1+r16~),
+           Kai-Chung Yan <seamlikok@gmail.com>,
+           Chirayu Desai <chirayudesai1@gmail.com>
+Build-Depends: android-libext4-utils-dev (>= 6.0.1+r16-2) [amd64 i386] <!stage1>,
+               android-libf2fs-utils-dev (>= 6.0.1+r16-2) [amd64 i386]  <!stage1>,
+               android-libunwind-dev (>= 6.0.1+r55~) [amd64 i386] <!stage1>,
+               android-platform-build-headers (>= 1:6.0.1+r16-4),
                debhelper (>= 9.20141010),
+               dh-exec,
                dpkg-dev (>= 1.17.14),
                libsafe-iop-dev [amd64 i386] <!stage1>,
                libssl-dev [amd64 i386] <!stage1>,
                pandoc [amd64 i386] <!stage1>,
                zlib1g-dev [amd64 i386] <!stage1>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://android.googlesource.com/platform/system/core
 Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-system-core.git
 Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-system-core.git
@@ -202,15 +204,3 @@
 Description: Android fastboot tool
  A command line tool for flashing an Android device, boot an Android device to
  fastboot mode, etc..
-
-Package: android-libzipfile
-Architecture: amd64 i386
-Depends: ${misc:Depends}
-Description: Transitional dummy package
- Upstream had already removed this library.
-
-Package: android-libzipfile-dev
-Architecture: amd64 i386
-Depends: ${misc:Depends}
-Description: Transitional dummy package
- Upstream had already removed this library.
