## android-platform-system-core 7.0.0+r1

=== debian/changelog ===
android-platform-system-core (1:7.0.0+r1-2) unstable; urgency=medium

  * Build tools for working with sparse images

 -- Chirayu Desai <chirayudesai1@gmail.com>  Wed, 21 Dec 2016 21:45:45 +0100

android-platform-system-core (1:7.0.0+r1-1) unstable; urgency=medium

  * Full stage release (with fastboot)
  * d/control:
    * Add googletest to <!stage1> BDs
    * Unify the maintainer name to "Android Tools Maintainers"

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 08 Dec 2016 12:54:10 +0800

android-platform-system-core (1:7.0.0+r1-1~stage1.1) unstable; urgency=medium

  * Upload to unstable
  * Stage 1 release (without fastboot)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 06 Dec 2016 19:47:02 +0800

android-platform-system-core (1:7.0.0+r1-1~stage1) experimental; urgency=medium

  * New upstream release
  * Stage 1 release (without fastboot)
  * New patches:
    - fs_prepare_path_impl_open_mode_missing.patch
    - Clang_nullability_type_qualifier.patch
  * Drop obsolete patches:
    - disable_android_set_abort_message.diff
    - fastboot_typo.diff
    - libutils_use_unique_ptr.diff
  * Update to debhelper 10
  * Enable builds for ARM & MIPS
  * d/control:
    - Improve package descriptions
    - adb recommends android-sdk-platform-tools-common for udev rules
  * Install documentations into /usr/share/doc/<package> instead of
    /usr/share/doc/<package>-doc

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sat, 17 Sep 2016 20:34:15 +0800

android-platform-system-core (1:6.0.1+r55-2) unstable; urgency=medium

  * Pick from experimental:
    - Update to debhelper 10
    - Improve package descriptions
  * Include android-libunwind-dev, libsafe-iop-dev, libssl-dev & pandoc in
    stage1 Build-Depends (Closes: #838542)
  
  [ Chirayu Desai ]
  New patches:
    * adb_libssl_diff: Bring comppatibility with OpenSSL 1.1 (Closes: #828233)
    * adb_libssl_bc.diff: Keep being compatible with OpenSSL < 1.1

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sat, 03 Dec 2016 22:34:32 +0800
