=== debian/control ===
Source: android-platform-system-core
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Kai-Chung Yan <seamlikok@gmail.com>,
           Chirayu Desai <chirayudesai1@gmail.com>
Build-Depends: android-libunwind-dev (>= 7.0.0+r1~) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               debhelper (>= 10),
               dh-exec,
               dpkg-dev (>= 1.17.14),
               libsafe-iop-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               libssl-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               pandoc [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               zlib1g-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               android-libext4-utils-dev (>= 7.0.0+r1~) [amd64 i386 armel armhf arm64 mips mipsel mips64el] <!stage1>,
               android-libf2fs-utils-dev (>= 7.0.0+r1~) [amd64 i386 armel armhf arm64 mips mipsel mips64el] <!stage1>,
               googletest [amd64 i386 armel armhf arm64 mips mipsel mips64el] <!stage1>
Standards-Version: 3.9.8
Homepage: https://android.googlesource.com/platform/system/core
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-system-core.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-system-core.git

Package: android-liblog
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Android NDK logger interfaces
 liblog represents an interface to the volatile Android Logging system for NDK
 (Native) applications and libraries. Interfaces for either writing or reading
 logs. The log buffers are divided up in Main, System, Radio and Events
 sub-logs.

Package: android-liblog-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: android-liblog (= ${binary:Version}),
         ${misc:Depends}
Breaks: android-liblog (<< 21-4~)
Replaces: android-liblog (<< 21-4~)
Description: Android NDK logger interfaces - Development files
 liblog represents an interface to the volatile Android Logging system for NDK
 (Native) applications and libraries. Interfaces for either writing or reading
 logs. The log buffers are divided up in Main, System, Radio and Events
 sub-logs.
 .
 This package contains the development files.

Package: android-libcutils
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: libbsd0, ${shlibs:Depends}, ${misc:Depends}
Description: Android utils library for C
 This library provides common functionalities for android related tools.
 .
 This library is only used by Android SDK currently.

Package: android-libcutils-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${misc:Depends},
         android-libcutils (= ${binary:Version}),
         android-liblog-dev (= ${binary:Version}),
         libbsd-dev
Breaks: android-libcutils (<< 21-4~),
        android-liblog-dev (<< 1:6)
Replaces: android-libcutils (<< 21-4~),
          android-liblog-dev (<< 1:6)
Description: Android utils library for C - Development files
 This library provides common functionalities for android related tools.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

Package: adb
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: android-sdk-platform-tools-common
Breaks: android-tools-adb
Replaces: android-tools-adb
Provides: android-tools-adb
Description: Android Debug Bridge
 A versatile command line tool that lets you communicate with an emulator
 instance or connected Android-powered device.
 .
 This package recommends "android-sdk-platform-tools-common" which contains
 the udev rules for Android devices. Without this package, adb and fastboot need
 to be running with root permission.

Package: android-libsparse
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for sparse files
 This library provides APIs for creating, manipulating and destroying sparse
 files.
 .
 This library is only used by Android SDK currently.

Package: android-libsparse-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: android-libsparse (= ${binary:Version}), ${misc:Depends}
Description: Library for sparse files - Development files
 This library provides APIs for creating, manipulating and destroying sparse
 files.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

Package: android-libutils
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android Utility Function Library
 This library provides miscellaneous utility functions.
 .
 This library is only used by Android SDK currently.

Package: android-libutils-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: android-libbacktrace-dev (>= ${binary:Version}),
         android-libcutils-dev (>= ${binary:Version}),
         android-libutils (= ${binary:Version}),
         android-platform-system-core-headers (>= ${source:Version}),
         ${misc:Depends}
Description: Android Utility Function Library - Development files
 This library provides miscellaneous utility functions.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

Package: android-libziparchive
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for ZIP archives
 This library provides APIs for creating and manipulating ZIP archives.
 .
 This library is only used by Android SDK currently.

Package: android-libziparchive-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: android-libziparchive (= ${binary:Version}), ${misc:Depends}
Description: Library for ZIP archives - Development files
 This library provides APIs for creating and manipulating ZIP archives.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

Package: android-platform-system-core-headers
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Breaks: android-system-dev
Replaces: android-system-dev
Provides: android-system-dev
Description: Shared headers in AOSP repository platform/system/core
 This package contains header files in AOSP repository platform/system/core that
 do not belong to any specific libraries but used by other programs.
 .
 This package currently contains headers in include/private and include/system.

Package: android-libbacktrace
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android backtrace library
 This library is only used by Android SDK currently.

Package: android-libbacktrace-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: android-libbacktrace (= ${binary:Version}), ${misc:Depends}
Description: Android backtrace library - Development files
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

Package: android-libadb
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for Android Debug Bridge
 This library provides APIs for accessing and controlling Android devices.
 .
 This library is only used by Android SDK currently.

Package: android-libadb-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: android-libadb (= ${binary:Version}),
         android-liblog-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Library for Android Debug Bridge - Development files
 This library provides APIs for accessing and controlling Android devices.
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

Package: android-libbase
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android base library
 This library provides APIs for basic tasks like handling files, Unicode
 strings, logging, memory allocation, integer parsing, etc..
 .
 This library is only used by Android SDK currently.

Package: android-libbase-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: android-libbase (= ${binary:Version}), ${misc:Depends}
Description: Android base library - Development files
 This library provides APIs for basic tasks like handling files, Unicode
 strings, logging, memory allocation, integer parsing, etc..
 .
 This library is only used by Android SDK currently.
 .
 This package contains the development files.

Package: fastboot
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: android-tools-fastboot
Replaces: android-tools-fastboot
Provides: android-tools-fastboot
Description: Android fastboot tool
 A command line tool for flashing an Android device, boot an Android device to
 fastboot mode, etc..

Package: simg2img
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: android-tools-fsutils
Replaces: android-tools-fsutils
Description: Android sparse image conversion tool
 A command line tool to convert sparse images to raw images, which can then
 be manipulated with the standard tools.

Package: img2simg
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: android-tools-fsutils
Replaces: android-tools-fsutils
Description: Android sparse image creation tool
 A command line tool to create sparse images for usage with Android devices.

Package: append2simg
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Android sparse image tool
 A command line tool to append data to the end of a sparse image.
