=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	make -f $<
 
 libadb.so: debian/libadb.mk libcutils.so libbase.so
-	make -f $< DEB_VERSION=$(DEB_VERSION)
+	make -f $<
 
 libbacktrace.so: debian/libbacktrace.mk libcutils.so libbase.so liblog.so
 	make -f $<
@@ -56,10 +56,10 @@
 	make -f $<
 
 adb: debian/adb.mk libadb.so libcutils.so libbase.so
-	make -f $< DEB_VERSION=$(DEB_VERSION)
+	make -f $<
 
 fastboot: debian/fastboot.mk libziparchive.so libsparse.so libbase.so libcutils.so libadb.so
-	make -f $< DEB_VERSION=$(DEB_VERSION)
+	make -f $<
 
 simg2img: debian/simg2img.mk libsparse.so
 	make -f $<
@@ -73,7 +73,7 @@
 .PHONY: adb fastboot simg2img img2simg append2simg
 
 %:
-	dh $@ --with bash-completion
+	dh $@
 
 override_dh_auto_build: $(COMPONENTS)
 	pandoc -s -o debian/adb.1 debian/adb.1.md
