## android-platform-system-core 7.0.0+r33

=== debian/changelog ===
android-platform-system-core (1:7.0.0+r33-2) unstable; urgency=medium

  * fix CVE-2017-0647 (Closes: #867229)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 05 Jul 2017 15:55:06 +0200

android-platform-system-core (1:7.0.0+r33-1) unstable; urgency=medium

  * New upstream release (Closes: #858177, #859081, #858942)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 24 Apr 2017 15:53:07 +0200

android-platform-system-core (1:7.0.0+r1-4) unstable; urgency=medium

  * transitional dummy packages for android-tools-adb / android-tools-fastboot
  * move adb log file to proper dir (Closes: #823792, #688280)
  * import upstream 7.0.0_r31 fixes for CVE-2016-3861 (Closes: #858177)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 15 Mar 2017 13:47:44 +0100

android-platform-system-core (1:7.0.0+r1-3) unstable; urgency=medium

  * install bash-completion for adb and fastboot (Closes: #856418, #856419)
  * use package version for adb/fastboot's --version (Closes: #856001)
  * fix depends built from this package to same version (Closes: #848852)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 28 Feb 2017 23:45:05 +0100
