=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Kai-Chung Yan <seamlikok@gmail.com>,
            Chirayu Desai <chirayudesai1@gmail.com>
 Build-Depends: android-libunwind-dev (>= 7.0.0+r1~) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
+               bash-completion,
                debhelper (>= 10),
                dh-exec,
                dpkg-dev (>= 1.17.14),
@@ -49,7 +50,10 @@
 Package: android-libcutils
 Section: libs
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
-Depends: libbsd0, ${shlibs:Depends}, ${misc:Depends}
+Depends: android-liblog (= ${binary:Version}),
+         libbsd0,
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: Android utils library for C
  This library provides common functionalities for android related tools.
  .
@@ -75,10 +79,12 @@
 
 Package: adb
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: android-libadb (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: android-sdk-platform-tools-common
-Breaks: android-tools-adb
-Replaces: android-tools-adb
+Breaks: android-tools-adb (<< 6.0~)
+Replaces: android-tools-adb (<< 6.0~)
 Provides: android-tools-adb
 Description: Android Debug Bridge
  A versatile command line tool that lets you communicate with an emulator
@@ -186,7 +192,9 @@
 Package: android-libadb
 Section: libs
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: android-libbase (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: Library for Android Debug Bridge
  This library provides APIs for accessing and controlling Android devices.
  .
@@ -208,7 +216,9 @@
 Package: android-libbase
 Section: libs
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: android-liblog (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
 Description: Android base library
  This library provides APIs for basic tasks like handling files, Unicode
  strings, logging, memory allocation, integer parsing, etc..
@@ -230,9 +240,11 @@
 Package: fastboot
 Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
 Build-Profiles: <!stage1>
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: android-tools-fastboot
-Replaces: android-tools-fastboot
+Depends: android-libadb (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Breaks: android-tools-fastboot (<< 6.0~)
+Replaces: android-tools-fastboot (<< 6.0~)
 Provides: android-tools-fastboot
 Description: Android fastboot tool
  A command line tool for flashing an Android device, boot an Android device to
@@ -241,8 +253,8 @@
 Package: simg2img
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: android-tools-fsutils
-Replaces: android-tools-fsutils
+Breaks: android-tools-fsutils (<< 6.0~)
+Replaces: android-tools-fsutils (<< 6.0~)
 Description: Android sparse image conversion tool
  A command line tool to convert sparse images to raw images, which can then
  be manipulated with the standard tools.
@@ -250,8 +262,8 @@
 Package: img2simg
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: android-tools-fsutils
-Replaces: android-tools-fsutils
+Breaks: android-tools-fsutils (<< 6.0~)
+Replaces: android-tools-fsutils (<< 6.0~)
 Description: Android sparse image creation tool
  A command line tool to create sparse images for usage with Android devices.
 
@@ -260,3 +272,19 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Android sparse image tool
  A command line tool to append data to the end of a sparse image.
+
+Package: android-tools-adb
+Depends: adb, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
+Package: android-tools-fastboot
+Depends: fastboot, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
